package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.A1MagType;
import org.josast.amicalsat.FrameTlmAmicalsat.A1Type;

//#A1;MAG;[Current timestamp];[MagX];[MagY];[MagZ]
public class A1MagTypeFrame extends Frame {

	private String timeStamps;
	private String magX;
	private String magY;
	private String magZ;

	@Override
	protected void setUpFrame() {
		A1Type a1type = (A1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		A1MagType log = (A1MagType) a1type.tlmSw();

		timeStamps = log.timeStamps();
		hash.put("TimeStamp", timeStamps);
		magX=log.magX();
		magY=log.magY();
		magZ=log.magZ();
		hash.put("magX", magX);
		hash.put("magY", magY);
		hash.put("magZ", magZ);

	}

}
